ReferenceAPI
Jobs
Asynchronous job tracking.
AuthorizationBearer <token>
Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.
In: header
Path Parameters
projectID*string
Project id.
Query Parameters
limit?integer
Maximum number of jobs to return (default 25).
Default
25Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/projects/string/jobs"{ "jobs": [ { "attempts": 0, "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": "string", "host_id": "string", "instance_id": "string", "completed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "error": "string", "id": "string", "last_exit_code": 0, "last_stderr": "string", "last_stdout": "string", "locked_resource": "string", "max_attempts": 0, "organization_id": "string", "preview_database_id": "string", "project_id": "string", "result": null, "retry_classification": "string", "started_at": "2019-08-24T14:15:22Z", "state": "pending", "type": "project.apply_plan", "updated_at": "2019-08-24T14:15:22Z" } ]}AuthorizationBearer <token>
Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.
In: header
Path Parameters
jobID*string
Job id.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/jobs/string"{ "job": { "attempts": 0, "claimed_at": "2019-08-24T14:15:22Z", "claimed_by": "string", "host_id": "string", "instance_id": "string", "completed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "error": "string", "id": "string", "last_exit_code": 0, "last_stderr": "string", "last_stdout": "string", "locked_resource": "string", "max_attempts": 0, "organization_id": "string", "preview_database_id": "string", "project_id": "string", "result": null, "retry_classification": "string", "started_at": "2019-08-24T14:15:22Z", "state": "pending", "type": "project.apply_plan", "updated_at": "2019-08-24T14:15:22Z" }}